For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

Get demographic export history

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/studies/:id/demographic-export-history/
GET
/api/v1/studies/:id/demographic-export-history/
$curl https://api.prolific.com/api/v1/studies/id/demographic-export-history/ \
> -H "Authorization: Token <token>"
1{
2 "count": 1,
3 "filters": [
4 {
5 "filter_id": "age",
6 "selected_range": {
7 "lower": 25,
8 "upper": 35
9 }
10 },
11 {
12 "filter_id": "sex",
13 "selected_values": [
14 "0",
15 "1"
16 ]
17 }
18 ]
19}
Retrieve the latest demographic export request history for a study. This endpoint returns information about your most recent export request, including the filters used and the total number of export combinations made. **Usage**: Use this endpoint to check your current export usage and see what filters were used in your latest request. This helps you understand your remaining export quota and track your export history. **Export Limits**: You are limited to 2 different filter combinations per study. This endpoint helps you track your usage against this limit. Learn more on [Exporting Prolific demographic data](https://researcher-help.prolific.com/en/article/b2943f).
Was this page helpful?
Previous

Export demographic data

Next

Duplicate a study

Retrieve the latest demographic export request history for a study. This endpoint returns information about your most recent export request, including the filters used and the total number of export combinations made.

Usage: Use this endpoint to check your current export usage and see what filters were used in your latest request. This helps you understand your remaining export quota and track your export history.

Export Limits: You are limited to 2 different filter combinations per study. This endpoint helps you track your usage against this limit.

Learn more on Exporting Prolific demographic data.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study ID

Response

Export history retrieved successfully
countinteger0-2
Total number of different filter combinations that have been requested for demographic export
filterslist of objects
The filters used in the most recent export request. Returns an empty array if no exports have been requested yet. This shows you exactly what filter combination was used in your latest request, helping you track your export usage.

Errors

4XX
Client Request Error